/* ************************************************************************** */
/*                                       _____           _                    */
/*  libp7/streams.h                     |_   _|__  _   _| |__   ___ _   _     */
/*  | Project : libp7                     | |/ _ \| | | | '_ \ / _ \ | | |    */
/*                                        | | (_) | |_| | | | |  __/ |_| |    */
/*  By: thomas <thomas@touhey.fr>         |_|\___/ \__,_|_| |_|\___|\__, |.fr */
/*  Last updated: 2016/09/05 18:40:51                               |___/     */
/*                                                                            */
/* ************************************************************************** */

#ifndef LIBP7_STREAMS_H
# define LIBP7_STREAMS_H
# define _GNU_SOURCE
# define _USE_GNU
# include <stdio.h>
# include <stdlib.h>
# include <string.h>
# include <errno.h>
# ifdef __cplusplus
extern "C" {
# endif

/* timeouts */
# define ACTIVE_TIMEOUT (10 * 1000) /* 10 seconds */
# define PASSVE_TIMEOUT (6 * 60 * 1000) /* 6 minutes */
# define SENDNG_TIMEOUT (2000) /* 2 seconds (exp. value used in UC) */

/* ************************************************************************** */
/*  Global vars and buffers                                                   */
/* ************************************************************************** */
/* is active */
extern int p7_active;

/* ************************************************************************** */
/*  Functions                                                                 */
/* ************************************************************************** */
/* initialize using streams */
int p7_init_stream(FILE *stream, int active);

# ifdef __cplusplus
}
# endif
#endif /* LIBP7_STREAMS_H */
