/* ************************************************************************** */
/*                                       _____           _                    */
/*  core/log_ms.c                       |_   _|__  _   _| |__   ___ _   _     */
/*  | Project : libp7                     | |/ _ \| | | | '_ \ / _ \ | | |    */
/*                                        | | (_) | |_| | | | |  __/ |_| |    */
/*  By: thomas <thomas@touhey.fr>         |_|\___/ \__,_|_| |_|\___|\__, |.fr */
/*  Last updated: 2016/09/07 10:46:25                               |___/     */
/*                                                                            */
/* ************************************************************************** */

#include <sys/time.h>
#include <libp7/internals.h>

/**
 *	p7_get_ms:
 *	Get current microseconds (µs).
 *
 *	Isolated because it is useful for other things than logging.
 *
 *	@return			the current microseconds
 */

long p7_get_ms(void)
{
	/* get time */
	struct timeval tv;
	gettimeofday(&tv, NULL);

	/* return it */
	return (tv.tv_sec * 1e6 + tv.tv_usec);
}
